IntegralDataTypeHolder (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id
Interface IntegralDataTypeHolder

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  IdentifierGeneratorHelper.BasicHolder, IdentifierGeneratorHelper.BigDecimalHolder, IdentifierGeneratorHelper.BigIntegerHolder

    public interface IntegralDataTypeHolder

extends Serializable

Defines a common api for dealing with data of integral data type.

Method Summary
`IntegralDataTypeHolder` | `add(long addend)` Perform an addition
`void` | `bind(PreparedStatement preparedStatement, int position)` Bind this holders internal value to the given result set.
`IntegralDataTypeHolder` | `copy()` Make a copy of this holder.
`IntegralDataTypeHolder` | `decrement()` Equivalent to a -- operation
`boolean` | `eq(IntegralDataTypeHolder other)` Perform an equality comparison check
`boolean` | `eq(long other)` Perform an equality comparison check
`boolean` | `gt(IntegralDataTypeHolder other)` Perform a "greater than" comparison check.
`boolean` | `gt(long other)` Perform a "greater than" comparison check.
`IntegralDataTypeHolder` | `increment()` Equivalent to a ++ operation
`IntegralDataTypeHolder` | `initialize(long value)` Initialize the internal value from the given primitive long.
`IntegralDataTypeHolder` | `initialize(ResultSet resultSet, long defaultValue)` Initialize the internal value from the given result set, using the specified default value if we could not get a value from the result set (aka result was null).
`boolean` | `lt(IntegralDataTypeHolder other)` Perform a "less than" comparison check.
`boolean` | `lt(long other)` Perform a "less than" comparison check.
`Number` | `makeValue()` Return the internal value.
`Number` | `makeValueThenAdd(long addend)` Increment the internal state by the given addend, but return the pre-incremented value.
`Number` | `makeValueThenIncrement()` Increment the internal state, but return the pre-incremented value.
`IntegralDataTypeHolder` | `multiplyBy(IntegralDataTypeHolder factor)` Perform a multiplication.
`IntegralDataTypeHolder` | `multiplyBy(long factor)` Perform a multiplication.
`IntegralDataTypeHolder` | `subtract(long subtrahend)` Perform a subtraction

Method Detail

### initialize

    IntegralDataTypeHolder initialize(long value)

  Initialize the internal value from the given primitive long.

  Parameters:
    `value` - The primitive integral value.
  Returns:
    `this`, for method chaining

### initialize

    IntegralDataTypeHolder initialize(ResultSet resultSet,
                                      long defaultValue)
                                      throws SQLException

  Initialize the internal value from the given result set, using the specified default value if we could not get a value from the result set (aka result was null).

  Parameters:
    `resultSet` - The JDBC result set
    `defaultValue` - The default value to use if we did not get a result set value.
  Returns:
    `this`, for method chaining
  Throws:
    `SQLException` - Any exception from accessing the result set

### bind

    void bind(PreparedStatement preparedStatement,
              int position)
              throws SQLException

  Bind this holders internal value to the given result set.

  Parameters:
    `preparedStatement` - The JDBC prepared statement
    `position` - The position at which to bind
  Throws:
    `SQLException` - Any exception from accessing the statement

### increment

    IntegralDataTypeHolder increment()

  Equivalent to a ++ operation

  Returns:
    `this`, for method chaining

### add

    IntegralDataTypeHolder add(long addend)

  Perform an addition

  Parameters:
    `addend` - The value to add to this integral.
  Returns:
    `this`, for method chaining

### decrement

    IntegralDataTypeHolder decrement()

  Equivalent to a -- operation

  Returns:
    `this`, for method chaining

### subtract

    IntegralDataTypeHolder subtract(long subtrahend)

  Perform a subtraction

  Parameters:
    `subtrahend` - The value to subtract from this integral.
  Returns:
    `this`, for method chaining

### multiplyBy

    IntegralDataTypeHolder multiplyBy(IntegralDataTypeHolder factor)

  Perform a multiplication.

  Parameters:
    `factor` - The factor by which to multiple this integral
  Returns:
    `this`, for method chaining

### multiplyBy

    IntegralDataTypeHolder multiplyBy(long factor)

  Perform a multiplication.

  Parameters:
    `factor` - The factor by which to multiple this integral
  Returns:
    `this`, for method chaining

### eq

    boolean eq(IntegralDataTypeHolder other)

  Perform an equality comparison check

  Parameters:
    `other` - The other value to check against our internal state
  Returns:
    True if the two are equal

### eq

    boolean eq(long other)

  Perform an equality comparison check

  Parameters:
    `other` - The other value to check against our internal state
  Returns:
    True if the two are equal

### lt

    boolean lt(IntegralDataTypeHolder other)

  Perform a "less than" comparison check. We check to see if our value is less than the incoming value...

  Parameters:
    `other` - The other value to check against our internal state
  Returns:
    True if our value is less than the 'other' value.

### lt

    boolean lt(long other)

  Perform a "less than" comparison check. We check to see if our value is less than the incoming value...

  Parameters:
    `other` - The other value to check against our internal state
  Returns:
    True if our value is less than the 'other' value.

### gt

    boolean gt(IntegralDataTypeHolder other)

  Perform a "greater than" comparison check. We check to see if our value is greater than the incoming value...

  Parameters:
    `other` - The other value to check against our internal state
  Returns:
    True if our value is greater than the 'other' value.

### gt

    boolean gt(long other)

  Perform a "greater than" comparison check. We check to see if our value is greater than the incoming value...

  Parameters:
    `other` - The other value to check against our internal state
  Returns:
    True if our value is greater than the 'other' value.

### copy

    IntegralDataTypeHolder copy()

  Make a copy of this holder.

  Returns:
    The copy.

### makeValue

    Number makeValue()

  Return the internal value.

  Returns:
    The current internal value

### makeValueThenIncrement

    Number makeValueThenIncrement()

  Increment the internal state, but return the pre-incremented value.

  Returns:
    The pre-incremented internal value

### makeValueThenAdd

    Number makeValueThenAdd(long addend)

  Increment the internal state by the given addend, but return the pre-incremented value.

  Parameters:
    `addend` - The value to be added to our internal state
  Returns:
    The pre-incremented internal value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.